<template>
  <div class="todo pa-6">
    <h1 class="mb-4" style="text-decoration: underline">Checklist</h1>
    <v-text-field
        v-model="NewTaskTitle"
        @click:append="AddTask"
        @keyup.enter="AddTask"
        class="mx-4"
        outlined
        hide-details
        clearable
        label="Enter the task..."
        append-icon="mdi-plus"
    >
    </v-text-field>
    <v-list
        flat
    >
      <div
          v-for="task in tasks"
          :key="task.id"
      >
        <v-list-item
            @click="TaskDone(task.id)"
            :class="{ 'blue lighten-3' : task.done }"
        >
          <template v-slot:default>
            <v-list-item-action>
              <v-checkbox
                  :input-value="task.done"
                  color="primary"
              ></v-checkbox>
            </v-list-item-action>
            <v-list-item-content>
              <v-list-item-title
                  :class="{ 'text-decoration-line-through' : task.done }"
              >
                {{ task.title }}
              </v-list-item-title>
              <v-divider></v-divider>
            </v-list-item-content>
            <v-list-item-action>
              <v-btn icon
              @click="DeleteTask(task.id)"
              >
                <v-icon color="grey lighten-1">mdi-delete</v-icon>
              </v-btn>
            </v-list-item-action>
          </template>
        </v-list-item>
      </div>
    </v-list>
  </div>
</template>

<script>
export default {
  name: "Todo",
  data: () => {
    return {
      NewTaskTitle: '',
      tasks: [
        {
          id: 1,
          title: 'Task 1',
          done: false,
        },
        {
          id: 2,
          title: 'Task 2',
          done: false,
        },
        {
          id: 3,
          title: 'Task 3',
          done: false,
        },
      ]
    }
  },
  methods: {
    TaskDone(id) {
      let task = this.tasks.filter(task => ask.id===id)[0];
      task.done=!task.done;
    },
    DeleteTask(id) {
      this.tasks = this.tasks.filter(task => task.id !==id)
    },
    AddTask() {
      let newTask = {
        id: Date.now(),
        title: this.NewTaskTitle,
        done: false,
      }
      this.tasks.push(newTask);
      this.NewTaskTitle='';
    }
  }
}
</script>

